
From: Stephen Smalley <sds@epoch.ncsc.mil>

Use obj-$(CONFIG_FOO) instead of `ifeq'.


---

 security/Makefile            |    4 +---
 security/selinux/Makefile    |    4 +++-
 security/selinux/ss/Makefile |    6 ++----
 3 files changed, 6 insertions(+), 8 deletions(-)

diff -puN security/Makefile~selinux-makefile-cleanup security/Makefile
--- 25/security/Makefile~selinux-makefile-cleanup	2004-01-09 22:20:18.000000000 -0800
+++ 25-akpm/security/Makefile	2004-01-09 22:20:18.000000000 -0800
@@ -12,8 +12,6 @@ endif
 # Object file lists
 obj-$(CONFIG_SECURITY)			+= security.o dummy.o
 # Must precede capability.o in order to stack properly.
-ifeq ($(CONFIG_SECURITY_SELINUX),y)
-	obj-$(CONFIG_SECURITY_SELINUX)	+= selinux/built-in.o
-endif
+obj-$(CONFIG_SECURITY_SELINUX)		+= selinux/built-in.o
 obj-$(CONFIG_SECURITY_CAPABILITIES)	+= commoncap.o capability.o
 obj-$(CONFIG_SECURITY_ROOTPLUG)		+= commoncap.o root_plug.o
diff -puN security/selinux/Makefile~selinux-makefile-cleanup security/selinux/Makefile
--- 25/security/selinux/Makefile~selinux-makefile-cleanup	2004-01-09 22:20:18.000000000 -0800
+++ 25-akpm/security/selinux/Makefile	2004-01-09 22:20:18.000000000 -0800
@@ -4,7 +4,9 @@
 
 obj-$(CONFIG_SECURITY_SELINUX) := selinux.o ss/
 
-selinux-objs := avc.o hooks.o selinuxfs.o
+selinux-y := avc.o hooks.o selinuxfs.o
+
+selinux-$(CONFIG_SECURITY_NETWORK) += netif.o
 
 ifeq ($(CONFIG_SECURITY_NETWORK),y)
 	selinux-objs += netif.o
diff -puN security/selinux/ss/Makefile~selinux-makefile-cleanup security/selinux/ss/Makefile
--- 25/security/selinux/ss/Makefile~selinux-makefile-cleanup	2004-01-09 22:20:18.000000000 -0800
+++ 25-akpm/security/selinux/ss/Makefile	2004-01-09 22:20:18.000000000 -0800
@@ -5,9 +5,7 @@
 EXTRA_CFLAGS += -Isecurity/selinux/include
 obj-y := ss.o
 
-ss-objs := ebitmap.o hashtab.o symtab.o sidtab.o avtab.o policydb.o services.o
+ss-y := ebitmap.o hashtab.o symtab.o sidtab.o avtab.o policydb.o services.o
 
-ifeq ($(CONFIG_SECURITY_SELINUX_MLS),y)
-ss-objs += mls.o
-endif
+ss-$(CONFIG_SECURITY_SELINUX_MLS) += mls.o
 

_
